> For the complete documentation index, see [llms.txt](https://docs.nexstudios.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexstudios.org/skyblock-plus-setup/about-skyblock-plus/economy/changing-the-economy.md).

# Changing the Economy

To spice things up for your players, **you may want to change your economy from time to time**! This page gives you all the information you need on how to adjust the economy to keep your server fresh.

{% hint style="danger" %}
**Changing your Economy can have huge impacts on existing farms and player progression.**

If you plan to make drastic changes to your Economy, try to do so before you open your server to the public. Players may be frustrated if you make big changes to your Economy after they have already spent time making farms and mob grinders! \
\
You may want to consider having "Seasons" for your server, with every Season resetting player progress and switching up the economy.\
\
Remember, you don't need to make all of these changes listed below! This list is designed  to show you what you *can* change - it does not necessarily mean you should change everything. Sometimes simply tweaking shop sell values can make a huge difference!
{% endhint %}

## 💲Changing the sell/buy prices of items in your Shop

All items that can be sold to the server are configured through **EconomyShopGUI.** You can easily adjust the sell prices of items by going into `plugins/EconomyShopGUI/shops/<category>.yml` . You can also **change the prices of items sold by the server**, for example if you want to increase the prices of some spawners. Simply change the `sell: <number>` line to the new sell value, then type `/sreload`.

{% hint style="info" %}
**Not all items can be sold. Not all items can be bought.**

It's important to note that **not all items are available for purchase or to sell**. For example, decorative blocks can be purchased by players, but cannot be sold back to the server. If you wish to change any of this, simply add a new line for `sell: <amount>` or `buy: <amount>`.
{% endhint %}

## 🧾 Adjusting how much money the server gives players

As mentioned in the previous page, players can also earn money from the server. Below is how to change all of the values these methods give your players.

* Star Levels (/starlevels) `plugins/DeluxeMenus/gui_menus/starlevels.yml`
* Daily, Weekly & Monthly Rewards (/rewards) `plugins/DailyRewards/config.yml`
* Daily Quests (/quests) `plugins/oDailyQuests/config.yml`
* Voting (/vote) `plugins/VoteRewards/config.yml` & `plugins/DeluxeMenus/gui_menus/vote.yml`
* AFK Pool (/warp afk) `plugins/AxAFKZone/zones/<pool_type>.yml`
* Jobs (/jobs) `plugins/Jobs/jobs/<job>.yml`
* Crates (/warp crates) `/crates editor (In-game)`

{% hint style="danger" %}
**Be careful when adjusting these values.**

It's really easy to make a typo when configuring these files. Always **make sure you've put the correct amount of 0's**, or you may end up giving players far more money than you thought!
{% endhint %}

## 💀 Coin & Soul Shop Adjustments

The Coin & Soul Shops are used to obtain **powerful items** on Skyblock PLUS. You may want to consider changing costs in both shops to better suit the needs of your economy. For example, if you find there's too many Sell Wands in your economy, you can increase the price of them.

You can adjust all **Coin Shop** prices in `plugins/DeluxeMenus/gui_menus/coinshop/<category>.yml`.\
You can adjust all **Soul Shop** prices in `plugins/DeluxeMenus/gui_menus/soulshop/<category>.yml`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexstudios.org/skyblock-plus-setup/about-skyblock-plus/economy/changing-the-economy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
